4 Replies Latest reply on Sep 20, 2013 8:34 AM by Paul the Artist

    raw plug in for canon 650d on CS 5.1

    Paul the Artist

      I am using a mac osx Cs5.1 and plugin 6.3.0.79 Now I have just got a rebel 650d and that states the cr2 is supported only by camera raw 7.1 and above.

      Now it seems that I cannot download that on my cs5 because it appears only for CS6, yet my CS5 was only purchased in 2012 what is going on.

      Are Adobe so thoughtless as to not provide some su[pport for these newer cameras, we cant all rush off and buy upgrades to photoshop everytime adobe feels the need to put one out.

       

      So i do hope there is an answer.

      regards

      Paul